Skip to main content
PATCH
/
v1
/
connector-targets
/
{connectorTargetId}
Update connector target
curl --request PATCH \
  --url https://api.openworklabs.com/v1/connector-targets/{connectorTargetId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "remoteId": "<string>",
  "externalTargetRef": "<string>",
  "config": {}
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "targetKind": "repository_branch",
    "externalTargetRef": "<string>",
    "targetConfigJson": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

connectorTargetId
string<typeid>
required

Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^ctg_.*

Body

application/json
remoteId
string
Required string length: 1 - 255
externalTargetRef
string | null
Required string length: 1 - 255
config
object

Response

Connector target updated successfully.

ok
boolean
required
item
object
required